Index: uspace/lib/ieee80211/src/ieee80211.c
===================================================================
--- uspace/lib/ieee80211/src/ieee80211.c	(revision cde999aca79219e8751af76502001a86d411d176)
+++ uspace/lib/ieee80211/src/ieee80211.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -496,5 +496,5 @@
 }
 
-static int ieee80211_scan(void *arg)
+static errno_t ieee80211_scan(void *arg)
 {
 	assert(arg);
@@ -517,5 +517,5 @@
  *
  */
-static int ieee80211_open(ddf_fun_t *fun)
+static errno_t ieee80211_open(ddf_fun_t *fun)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -527,5 +527,5 @@
 	ieee80211_dev->started = true;
 	
-	int rc = ieee80211_dev->ops->start(ieee80211_dev);
+	errno_t rc = ieee80211_dev->ops->start(ieee80211_dev);
 	if (rc != EOK)
 		return rc;
@@ -655,5 +655,5 @@
  *
  */
-static int ieee80211_implement(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_implement(ieee80211_dev_t *ieee80211_dev,
     ieee80211_ops_t *ieee80211_ops, ieee80211_iface_t *ieee80211_iface,
     nic_iface_t *nic_iface, ddf_dev_ops_t *nic_dev_ops)
@@ -731,5 +731,5 @@
  *
  */
-int ieee80211_device_init(ieee80211_dev_t *ieee80211_dev, ddf_dev_t *ddf_dev)
+errno_t ieee80211_device_init(ieee80211_dev_t *ieee80211_dev, ddf_dev_t *ddf_dev)
 {
 	ieee80211_dev->ddf_dev = ddf_dev;
@@ -771,9 +771,9 @@
  *
  */
-int ieee80211_init(ieee80211_dev_t *ieee80211_dev,
+errno_t ieee80211_init(ieee80211_dev_t *ieee80211_dev,
     ieee80211_ops_t *ieee80211_ops, ieee80211_iface_t *ieee80211_iface,
     nic_iface_t *ieee80211_nic_iface, ddf_dev_ops_t *ieee80211_nic_dev_ops)
 {
-	int rc = ieee80211_implement(ieee80211_dev,
+	errno_t rc = ieee80211_implement(ieee80211_dev,
 	    ieee80211_ops, ieee80211_iface,
 	    ieee80211_nic_iface, ieee80211_nic_dev_ops);
@@ -850,5 +850,5 @@
  *
  */
-int ieee80211_probe_request(ieee80211_dev_t *ieee80211_dev, char *ssid)
+errno_t ieee80211_probe_request(ieee80211_dev_t *ieee80211_dev, char *ssid)
 {
 	nic_t *nic = nic_get_from_ddf_dev(ieee80211_dev->ddf_dev);
@@ -917,5 +917,5 @@
  *
  */
-int ieee80211_authenticate(ieee80211_dev_t *ieee80211_dev)
+errno_t ieee80211_authenticate(ieee80211_dev_t *ieee80211_dev)
 {
 	nic_t *nic = nic_get_from_ddf_dev(ieee80211_dev->ddf_dev);
@@ -967,5 +967,5 @@
  *
  */
-int ieee80211_associate(ieee80211_dev_t *ieee80211_dev, char *password)
+errno_t ieee80211_associate(ieee80211_dev_t *ieee80211_dev, char *password)
 {
 	nic_t *nic = nic_get_from_ddf_dev(ieee80211_dev->ddf_dev);
@@ -1057,5 +1057,5 @@
  *
  */
-int ieee80211_deauthenticate(ieee80211_dev_t *ieee80211_dev)
+errno_t ieee80211_deauthenticate(ieee80211_dev_t *ieee80211_dev)
 {
 	ieee80211_scan_result_t *auth_data =
@@ -1241,5 +1241,5 @@
  *
  */
-static int ieee80211_process_probe_response(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_process_probe_response(ieee80211_dev_t *ieee80211_dev,
     ieee80211_mgmt_header_t *mgmt_header, size_t buffer_size)
 {
@@ -1327,5 +1327,5 @@
  *
  */
-static int ieee80211_process_auth_response(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_process_auth_response(ieee80211_dev_t *ieee80211_dev,
     ieee80211_mgmt_header_t *mgmt_header)
 {
@@ -1356,5 +1356,5 @@
  *
  */
-static int ieee80211_process_assoc_response(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_process_assoc_response(ieee80211_dev_t *ieee80211_dev,
     ieee80211_mgmt_header_t *mgmt_header)
 {
@@ -1381,5 +1381,5 @@
 }
 
-static int ieee80211_process_4way_handshake(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_process_4way_handshake(ieee80211_dev_t *ieee80211_dev,
     void *buffer, size_t buffer_size)
 {
@@ -1491,5 +1491,5 @@
 			    (buffer + sizeof(ieee80211_eapol_key_frame_t));
 			
-			int rc;
+			errno_t rc;
 			uint8_t work_key[32];
 			
@@ -1610,5 +1610,5 @@
 }
 
-static int ieee80211_process_eapol_frame(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_process_eapol_frame(ieee80211_dev_t *ieee80211_dev,
     void *buffer, size_t buffer_size)
 {
@@ -1632,5 +1632,5 @@
  *
  */
-static int ieee80211_process_data(ieee80211_dev_t *ieee80211_dev,
+static errno_t ieee80211_process_data(ieee80211_dev_t *ieee80211_dev,
     void *buffer, size_t buffer_size)
 {
@@ -1696,5 +1696,5 @@
  *
  */
-int ieee80211_rx_handler(ieee80211_dev_t *ieee80211_dev, void *buffer,
+errno_t ieee80211_rx_handler(ieee80211_dev_t *ieee80211_dev, void *buffer,
     size_t buffer_size)
 {
